[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.RestoredLeft

The Left coordinate for the form when it is restored (i.e. changes from minimized or maximized).

## Declaration

Source position: forms.pp line 815

`public property TCustomForm.RestoredLeft : Integer read FRestoredLeft;`

## Description

RestoredLeft is a read-only Integer property which contains the left coordinate for the form when its size is altered in WMSize or WMMove message handlers. The property value is applied when the asynchronous queued event handler for the form is executed, and calls the DoOnChangeBounds method.

## See also

TCustomForm.WMSize |  | Handles the LM_SIZE window message for the form.
TControl.DoOnChangeBounds |  | Signals OnChangeBounds event handlers for the control.
TControl.Left |  | The client coordinate with the left edge for the control.